<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@taglib uri="/workflow-survey" prefix="jharks" %>
<%@attribute name="path" required="true"%>
<%@attribute name="surveyXml" required="true" %> 
<%@attribute name="resourceBundleBaseName" required="true" %>
<%@attribute name="dbBackedResources" required="true" %>
<%@attribute name="javascriptResourcePrefix" required="false"%> 

<script type="text/javascript" >

  var validanguageLibrary='jquery';
  
  function showError( errorMsg ) { $( "#"+this.id+"_error" ).html( "* "+errorMsg ); }
</script>
<script type="text/javascript" src="<c:url value="${javascriptResourcePrefix}/jharks/js/validation/validanguage.js" />"></script>

<form action="${path}" method="post">
<fieldset>
<jharks:jharksXsl xml="${surveyXml}" resourceBundleBaseName="${resourceBundleBaseName}" dbBackedResources="${dbBackedResources}" />
<hr class="jharks-hr">
<c:if test="${requestScope.isBackNavAllowed}">
<script type="text/javascript">
  <!--
  var gb = new backlink();
  gb.type = "button"
  gb.form = false;
  gb.write();
  //-->
</script>
</c:if>
<input type="submit" value="Next" class="jharks-survey-button">
</fieldset>
</form>